# Uses of Interface
com.sun.mirror.declaration.AnnotationValue

Packages that use AnnotationValue
Package
Description
com.sun.mirror.declaration
Interfaces used to model program element declarations.

## Uses of AnnotationValue in com.sun.mirror.declaration

Methods in com.sun.mirror.declaration that return AnnotationValue
Modifier and Type
Method
Description
`AnnotationValue`
AnnotationTypeElementDeclaration.`getDefaultValue()`
Returns the default value of this element.
Methods in com.sun.mirror.declaration that return types with arguments of type AnnotationValue
Modifier and Type
Method
Description
`Map<AnnotationTypeElementDeclaration, AnnotationValue>`
AnnotationMirror.`getElementValues()`
Returns this annotation's elements and their values.